#pragma once
#include <Arduino.h>
#include "SmartServo.hpp"
#include "ContinuousServo.hpp"

class TeaTimer
{
public:
    TeaTimer(SmartServo *t_servo);
    // Move servo down, start timer.
    void beginSteeping(unsigned long t_steepingDuration);
    // Move servo up, stop timer immediately.
    void endSteeping();
    // Called at start of update.
    void tick();
    unsigned long remainingSteepTimeSeconds();
    bool isSteeping() { return m_isSteeping; };

private:
    bool m_isSteeping = false;
    // The time in millis when steeping is done.
    unsigned long m_endSteepingTime;
    unsigned long m_servoTurningTime = 1000;
    SmartServo *m_servo;
};